### Method

# Gio DBusMessage new_method_error_literal

since: 2.26

#### Declaration [src]

    GDBusMessage*
    g_dbus_message_new_method_error_literal (
      GDBusMessage* method_call_message,
      const gchar* error_name,
      const gchar* error_message
    )

#### Description [src]

Creates a new `GDBusMessage` that is an error reply to `method_call_message`.

Available since: 2.26

#### Parameters

`error_name`

  Type: `const gchar*`

  A valid D-Bus error name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error_message`

  Type: `const gchar*`

  The D-Bus error message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusMessage`

A `GDBusMessage`. Free with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.